Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKKeyPairGenerator.DH

    java.lang.Object
      java.security.KeyPairGeneratorSpi
          java.security.KeyPairGenerator
              org.bouncycastle.jce.provider.JDKKeyPairGenerator
                  org.bouncycastle.jce.provider.JDKKeyPairGenerator.DH

Enclosing class:
  JDKKeyPairGenerator

public static class JDKKeyPairGenerator.DH
extends JDKKeyPairGenerator

Nested Class Summary

Nested classes inherited from class org.bouncycastle.jce.provider.JDKKeyPairGenerator
`JDKKeyPairGenerator.DH, JDKKeyPairGenerator.DSA, JDKKeyPairGenerator.EC, JDKKeyPairGenerator.ECDH, JDKKeyPairGenerator.ECDHC, JDKKeyPairGenerator.ECDSA, JDKKeyPairGenerator.ECGOST3410, JDKKeyPairGenerator.ElGamal, JDKKeyPairGenerator.GOST3410, JDKKeyPairGenerator.RSA`

Constructor Summary
`JDKKeyPairGenerator.DH()`

Method Summary
`java.security.KeyPair` | `generateKeyPair()`
`void` | `initialize(java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)`
`void` | `initialize(int strength, java.security.SecureRandom random)`

Methods inherited from class java.security.KeyPairGenerator
`genKeyPair, getAlgorithm, getInstance, getInstance, getInstance, getProvider, initialize, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKKeyPairGenerator.DH

    public JDKKeyPairGenerator.DH()

Method Detail

### initialize

    public void initialize(int strength,
                           java.security.SecureRandom random)

  Specified by:
    `initialize` in class `JDKKeyPairGenerator`

### initialize

    public void initialize(java.security.spec.AlgorithmParameterSpec params,
                           java.security.SecureRandom random)
                    throws java.security.InvalidAlgorithmParameterException

  Throws:
    `java.security.InvalidAlgorithmParameterException`

### generateKeyPair

    public java.security.KeyPair generateKeyPair()

  Specified by:
    `generateKeyPair` in class `JDKKeyPairGenerator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD